Name: cups
Version: 1.1.18
Release: alt4

Packager: AEN <aen@altlinux.ru>

Summary: Common Unix Printing System - server package
License: GPL
Group: System/Servers

PreReq: %name-common = %version-%release, libnoch >= 0.1-alt1

%define _compress_method gzip

Url: http://www.cups.org

Source: ftp://ftp.easysw.com/pub/cups/%version/%name-%version-source.tar.bz2

Source1: poll_ppd_base.c.bz2
Source2: lphelp.c.bz2
Source3: cups.png.bz2
Source4: cups.xinetd
Source5: cups.startup
Source6: cleanppd.pl.bz2

Source7: http://www.hornclan.com/~mark/cups/ptal.2002011801.bz2
Source8: http://www.hornclan.com/~mark/cups/nprint.2002011801.bz2

# urw-fonts with cyrillic glyphs from Valek
Source100: val-fonts-pfa.tar.bz2
Source102: fax4CUPS-1.12.tar.bz2
Source103: cups-ncp-0.2.tar.bz2
Source104: README.ALT
Source105: pstoraster.tar.bz2
Source106: mime.convs.altlinux
Source107: cups-pstops-wrapper.tar.bz2

#General patches
Patch1: %name-1.1.9-nopassword.patch
Patch2: %name-1.1.5-ENCRYPTIONtxt.patch.bz2
Patch3: %name-1.1.6-lp-lpr.patch.bz2
Patch4: %name-1.1.18-mdk-hstrerror.patch

# ALT Linux Team patches
Patch100: %name-1.1.4-implicit_decl.patch.bz2
Patch101: %name-1.1.14-conf.patch
Patch102: %name-1.1.18-alt-pam.patch
Patch103: %name-1.1.14-alt_locale.patch
Patch104: %name-1.1.15-alt-locale_name.patch
#for history
Patch105: %name-1.1.8-rsbac.patch

#Izvrat patches
Patch200: %name-1.1.18-alt-izvrat.patch


# Automatically added by buildreq on Fri May 25 2001
BuildRequires: gcc-c++ groff libjpeg-devel libpam-devel libpng-devel libstdc++-devel libtiff-devel openssl-devel zlib-devel

%description
The Common Unix Printing System provides a portable printing layer for
UNIX(TM) operating systems. It has been developed by Easy Software Products
to promote a standard printing solution for all UNIX vendors and users.
CUPS provides the System V and Berkeley command-line interfaces.

This is the main package needed for CUPS servers (machines where a
printer is connected to or which host a queue for a network
printer). It can also be used on CUPS clients so that they simply pick
up broadcasted printer information from other CUPS servers and do not
need to be assigned to a specific CUPS server by an
/etc/cups/client.conf file.

%package common
Summary: Common Unix Printing System - Common stuff
License: GPL
Group: System/Servers
PreReq: lib%name = %version-%release
Provides: %_bindir/lpr, %_bindir/lpq, %_bindir/lprm, %_bindir/lp, %_bindir/cancel, %_bindir/lpstat, %_sbindir/lpc

%description common
The Common Unix Printing System provides a portable printing layer for
UNIX(TM) operating systems. It contains the command line utilities for
printing and administration (lpr, lpq, lprm, lpadmin, lpc, ...), man
pages, locales, and a sample configuration file for daemon-less CUPS
clients (/etc/cups/client.conf).

This package you need for both CUPS clients and servers.

%package backend-serial
Summary: serial backend for %name
License: GPL
Group: System/Servers
PreReq: %name = %version-%release

%description backend-serial
serial backend for %name

%package backend-ncp
Summary: ncp(NetWare) backend for %name
License: GPL
Group: System/Servers
PreReq: %name = %version-%release

%description backend-ncp
ncp(NetWare) backend for %name

%package -n lib%name
Summary: Common Unix Printing System - CUPS library
License: LGPL
Group: System/Servers

%description -n lib%name
The Common Unix Printing System provides a portable printing layer for
UNIX(TM) operating systems. This package contains the CUPS API library
which contains common functions used by both the CUPS daemon and all
CUPS frontends (lpr-cups, xpp, qtcups, kups, ...).

This package you need for both CUPS clients and servers. It is also
needed by Samba.

%package -n lib%name-devel
Summary: Common Unix Printing System - Development environment "libcups"
License: LGPL
Group: Development/C
Requires: lib%name = %version-%release
Provides: %name-devel = %version
Obsoletes: %name-devel

%description -n lib%name-devel
The Common Unix Printing System provides a portable printing layer for
UNIX(TM) operating systems. This is the development package for
creating additional printer drivers, printing software, and other CUPS
services using the main CUPS library "libcups".

%package -n lib%name-devel-static
Summary: Common Unix Printing System - Development environment "libcups"
License: LGPL
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Static libraries for lib%name

%prep
%setup -q -n %name-%version -a 100 -a 102 -a 103 -a 105
cp %SOURCE106 conf/mime.convs
%__subst 's/pdftops /pdftops pstoraster/g' Makefile*

%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0

# ALT Linux patches
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1

# Izvrat patches
%patch200 -p1

# Load additional tools
bzcat %SOURCE1 > poll_ppd_base.c
bzcat %SOURCE2 > lphelp.c

# Load menu icon
bzcat %SOURCE3 > cups.png

%build
./configure --enable-ssl --with-docdir=%_defaultdocdir/%name-%version\
	    --with-cups-user=lp --with-cups-group=lp

%ifarch ia64
export REAL_CFLAGS="$CFLAGS -fPIC"
%else
export REAL_CFLAGS="$CFLAGS"
%endif

%make OPTIM="$REAL_CFLAGS"

# Compile additional tools
gcc -o poll_ppd_base -I. -I./cups -L./cups -lcups poll_ppd_base.c
gcc -o lphelp -I. -I./cups -L./cups -lcups lphelp.c

bzcat %SOURCE7 > ptal
bzcat %SOURCE8 > nprint

%install
mkdir -p $RPM_BUILD_ROOT%_initdir

make BUILDROOT=$RPM_BUILD_ROOT install

# Remove SUID bit from "lppasswd"
chmod 755 $RPM_BUILD_ROOT%_bindir/lppasswd

# Install the README files of the source tarball in the doc directory
cp *.txt $RPM_BUILD_ROOT%_defaultdocdir/%name-%version

# Make a directory for the SSL files
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/cups/ssl

# Install additional tools
install -p -m 755 poll_ppd_base $RPM_BUILD_ROOT%_bindir
install -p -m 755 lphelp $RPM_BUILD_ROOT%_bindir

# install menu icon
mkdir -p $RPM_BUILD_ROOT%_iconsdir/locolor/16x16/apps/
install -m 644 cups.png $RPM_BUILD_ROOT%_iconsdir/locolor/16x16/apps/

# entry for xinetd (disabled by default)
install -m 640 -D %SOURCE4 $RPM_BUILD_ROOT%_sysconfdir/xinetd.d/cups-lpd

# Install startup script
install -m 755 %SOURCE5 $RPM_BUILD_ROOT%_initdir/cups

# Install PPDs
mkdir -p $RPM_BUILD_ROOT%_datadir/cups/model
install -m 755 ppd/*.ppd $RPM_BUILD_ROOT%_datadir/cups/model

# Uncompress Perl script for cleaning up manufacturer entries in PPD files
bzcat %SOURCE6 > ./cleanppd.pl
chmod a+rx ./cleanppd.pl

# Do the clean-up
find $RPM_BUILD_ROOT%_datadir/cups/model -name "*.ppd" -print -exec ./cleanppd.pl '{}' \;

# prepare the commands conflicting with LPD for the update-alternatives
# treatment
( cd $RPM_BUILD_ROOT%_bindir
  mv lpr lpr-cups
  mv lpq lpq-cups
  mv lprm lprm-cups
  mv lp lp-cups
  mv cancel cancel-cups
  mv lpstat lpstat-cups
)
( cd $RPM_BUILD_ROOT%_sbindir
  mv lpc lpc-cups
)
( cd $RPM_BUILD_ROOT%_mandir/man1
  mv lpr.1 lpr-cups.1
  mv lpq.1 lpq-cups.1
  mv lprm.1 lprm-cups.1
  mv lp.1 lp-cups.1
  rm cancel.1
  ln -s lp-cups.1 cancel-cups.1
  mv lpstat.1 lpstat-cups.1
)
( cd $RPM_BUILD_ROOT%_mandir/man8
  mv lpc.8 lpc-cups.8
)

find $RPM_BUILD_ROOT%_bindir -type f\
  -print | sed "s^$RPM_BUILD_ROOT^^" |
    grep -v "cups-config" >> %name.filelist

#install some bonus
(cd fax4CUPS-1.12
 cp fax.ppd $RPM_BUILD_ROOT%_datadir/%name/model
 cp fax4CUPS.1 $RPM_BUILD_ROOT%_mandir/man1
 cp fax $RPM_BUILD_ROOT%_libdir/%name/backend
)

(cd cups-ncp-0.2
 cp ncp $RPM_BUILD_ROOT%_libdir/%name/backend
)

install -m 755 ptal $RPM_BUILD_ROOT%_libdir/%name/backend/
install -m 755 nprint $RPM_BUILD_ROOT%_libdir/%name/backend/

install -m 644 %SOURCE104  $RPM_BUILD_ROOT%_defaultdocdir/%name-%version
install -m 644 %SOURCE107  $RPM_BUILD_ROOT%_defaultdocdir/%name-%version

##### PRE/POST INSTALL SCRIPTS #####

%post
%post_service %name

%post common
# Set up update-alternatives entries
%_sbindir/update-alternatives --install %_bindir/lpr lpr %_bindir/lpr-cups 10 --slave %_mandir/man1/lpr.1.gz lpr.1.gz %_mandir/man1/lpr-cups.1.gz
%_sbindir/update-alternatives --install %_bindir/lpq lpq %_bindir/lpq-cups 10 --slave %_mandir/man1/lpq.1.gz lpq.1.gz %_mandir/man1/lpq-cups.1.gz
%_sbindir/update-alternatives --install %_bindir/lprm lprm %_bindir/lprm-cups 10 --slave %_mandir/man1/lprm.1.gz lprm.1.gz %_mandir/man1/lprm-cups.1.gz
%_sbindir/update-alternatives --install %_bindir/lp lp %_bindir/lp-cups 10 --slave %_mandir/man1/lp.1.gz lp.1.gz %_mandir/man1/lp-cups.1.gz
%_sbindir/update-alternatives --install %_bindir/cancel cancel %_bindir/cancel-cups 10 --slave %_mandir/man1/cancel.1.gz cancel.1.gz %_mandir/man1/cancel-cups.1.gz
%_sbindir/update-alternatives --install %_bindir/lpstat lpstat %_bindir/lpstat-cups 10 --slave %_mandir/man1/lpstat.1.gz lpstat.1.gz %_mandir/man1/lpstat-cups.1.gz
%_sbindir/update-alternatives --install %_sbindir/lpc lpc %_sbindir/lpc-cups 10 --slave %_mandir/man8/lpc.8.gz lpc.1.gz %_mandir/man8/lpc-cups.8.gz

%post -n lib%name -p /sbin/ldconfig

%preun
%preun_service %name
%preun common
if [ "$1" = 0 ]; then
  # Remove update-alternatives entries
  %_sbindir/update-alternatives --remove lpr %_bindir/lpr-cups
  %_sbindir/update-alternatives --remove lpq %_bindir/lpq-cups
  %_sbindir/update-alternatives --remove lprm %_bindir/lprm-cups
  %_sbindir/update-alternatives --remove lp %_bindir/lp-cups
  %_sbindir/update-alternatives --remove cancel %_bindir/cancel-cups
  %_sbindir/update-alternatives --remove lpstat %_bindir/lpstat-cups
  %_sbindir/update-alternatives --remove lpc %_sbindir/lpc-cups
fi

%preun -n lib%name -p /sbin/ldconfig

%files
%doc %_defaultdocdir/%name-%version
%config(noreplace) %_sysconfdir/cups/certs
%config(noreplace) %_sysconfdir/cups/classes.conf
%config(noreplace) %_sysconfdir/cups/cupsd.conf
%config(noreplace) %_sysconfdir/cups/interfaces
%config(noreplace) %_sysconfdir/cups/mime.convs
%config(noreplace) %_sysconfdir/cups/mime.types
%config(noreplace) %_sysconfdir/cups/ppd
%config(noreplace) %_sysconfdir/cups/printers.conf
%config(noreplace) %_sysconfdir/cups/ssl
%config(noreplace) %_sysconfdir/pam.d/cups
%config		   %_initdir/cups
%attr(644,root,root) %config(noreplace) %_sysconfdir/xinetd.d/cups-lpd
%_libdir/cups
%exclude %_libdir/cups/backend/ncp
%exclude %_libdir/cups/backend/nprint
%exclude %_libdir/cups/backend/serial
%_datadir/cups
%_var/log/cups
# Set ownerships of spool directory which is normally done by 'make install'
# Because RPM does 'make install' as normal user, this has to be done here
%dir %attr(0700,lp,root) %_var/spool/cups
%dir %attr(01700,lp,root) %_var/spool/cups/tmp
# menu entry
%_iconsdir/locolor/16x16/apps/*

%files common -f %name.filelist
%dir %config(noreplace) %_sysconfdir/cups
%config(noreplace) %_sysconfdir/cups/client.conf
%_sbindir/*
%_bindir/enable
%_bindir/disable
%_datadir/locale/*/*
%_mandir/man*/*

%files -n lib%name
%_libdir/libcups.so.*
%_libdir/libcupsimage.so.*
# This ".so" link is in the main package but not in the devel package
# because it is needed for the function overloading in XPP and QTCUPS
%_libdir/libcups.so

%files -n lib%name-devel
%_bindir/cups-config
%_includedir/cups/*
%_libdir/libcupsimage.so

%files -n lib%name-devel-static
%_libdir/*.a

%files backend-ncp
%_libdir/cups/backend/ncp
%_libdir/cups/backend/nprint

%files backend-serial
%_libdir/cups/backend/serial

%changelog
* Wed Jan 29 2003 Stanislav Ievlev <inger@altlinux.ru> 1.1.18-alt4
- added patch from MDK: fix error message on host lookup failure

* Wed Jan 15 2003 Stanislav Ievlev <inger@altlinux.ru> 1.1.18-alt3
- fixed izvrat: 3770 -> 2770 on /etc/cups/certs/
- change name on startup
- init-script now only %%config without noreplace

* Tue Jan 14 2003 Stanislav Ievlev <inger@altlinux.ru> 1.1.18-alt2
- advanced izvrat

* Fri Jan 10 2003 Stanislav Ievlev <inger@altlinux.ru> 1.1.18-alt1
- 1.1.18
- removed altification of testprint, now in the printer-testpages

* Thu Dec 19 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1.15-alt8
- added pdf2ps patch

* Mon Dec 16 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1.15-alt7
- apply some fixes from idefence

* Wed Dec 04 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1.15-alt5
- move serial and ncp backend into subpackage
- added contrib from Yury Konovalov <yurix@unixcenter.ru>

* Wed Oct 16 2002 AEN <aen@altlinux.ru> 1.1.15-alt4
- common Provides added

* Fri Oct 11 2002 AEN <aen@altlinux.ru> 1.1.15-alt3
- locale name fixed (bug #1396)

* Wed Jun 26 2002 AEN <aen@logic.ru> 1.1.15-alt2
- custom mime.convs added
- some pfa's from cups-1.1.14 added in val-fonts

* Mon Jun 17 2002 AEN <aen@logic.ru> 1.1.15-alt1
- new version
- restored pstoraster from 1.1.14
- patches 106, 107 merged upstream

* Thu Apr 11 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1.14-alt3
- Added ALT documentation

* Thu Mar 28 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1.14-alt2
- Added loopback setup to startup script.
  cups needs it to work

* Thu Feb 14 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1.14-alt1
- 1.1.14

* Wed Feb 13 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1.13-alt6
- turn off temporary light settings

* Wed Feb 13 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1.13-alt5
- izvrat, stage2:
   added -u option,
   admrestart option for initscripts.

* Mon Feb 11 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1.13-alt4
- fix locale support.

* Fri Feb 08 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1.13-alt3
- first release of Izvrat patch

* Thu Feb 07 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1.13-alt2
- small cleanups

* Wed Feb 06 2002 AEN <aen@logic.ru> 1.1.13-alt1
- patches 102,107,108 removed
- patches 101,103 regenerated

* Thu Dec 06 2001 Stanislav Ievlev <inger@altlinux.ru> 1.1.12-alt3
- added root in config, for some cases ...

* Thu Nov 22 2001 Stanislav Ievlev <inger@altlinux.ru> 1.1.12-alt2
- aded ncp backend by Sergey Vlasov <vsu@altlinux.ru>
- returned fax4CUPS again. Someone remove it some time ago.

* Fri Nov 16 2001 Stanislav Ievlev <inger@altlinux.ru> 1.1.12-alt1
- 1.1.12

* Thu Oct 11 2001 Stanislav Ievlev <inger@altlinux.ru> 1.1.10-alt5
- rebuild with new libpng.
- RSBAC patch temporary disabled to rebuild under 2.2 kernel

* Thu Sep 06 2001 AEN <aen@logic.ru> 1.1.10-alt4
- new fonts from Valek

* Mon Sep 03 2001 Stanislav Ievlev <inger@altlinux.ru> 1.1.10-alt3
- New solution for admin.cgi - tmpdir
  defined in config by default now.

* Mon Aug 27 2001 Stanislav Ievlev <inger@altlinux.ru> 1.1.10-alt2
- Returned Valek's fonts. Now in pfa format (CUPS bug?)

* Fri Aug 17 2001 Stanislav Ievlev <inger@altlinux.ru> 1.1.10-alt1
- 1.1.10
- removed setupbroadcusting. It's not secure to have this script.
- temporary removed fonts. Don't work with gimp-print.

* Wed Aug 08 2001 AEN <aen@logic.ru> 1.1.9-alt9
- new default fonts from Valek (frob@df.ru)
- utf fonts description changed

* Fri Aug 03 2001 Stanislav Ievlev <inger@altlinux.ru> 1.1.9-alt8
- Corrections of RSBAC support in CUPS.

* Tue Jul 31 2001 Stanislav Ievlev <inger@altlinux.ru> 1.1.9-alt7
- Changed default config to add rights for admin.cgi.

* Tue Jul 31 2001 Stanislav Ievlev <inger@altlinux.ru> 1.1.9-alt6
- New lphelp utility from Mandrake.

* Thu Jul 26 2001 Stanislav Ievlev <inger@altlinux.ru> 1.1.9-alt5
- 1.1.9-1 (bugfix release)

* Wed Jul 25 2001 AEN <aen@logic.ru> 1.1.9-alt4
- RunAsUser temporary removed

* Tue Jul 24 2001 AEN <aen@logic.ru> 1.1.9-alt3
- new encoding patch (hebrew support added)

* Thu Jul 12 2001 Stanislav Ievlev <inger@altlinux.ru> 1.1.9-alt2
- Fixed .so links (from hard links to soft)

* Wed Jul 11 2001 Stanislav Ievlev <inger@altlinux.ru> 1.1.9-alt1
- 1.1.9

* Wed Jun 20 2001 Stanislav Ievlev <inger@altlinux.ru> 1.1.8-alt2
- Added RSBAC MAC support.

* Wed Jun 13 2001 Stanislav Ievlev <inger@altlinux.ru> 1.1.8-alt1
- 1.1.8

* Mon Jun 04 2001 Stanislav Ievlev <inger@altlinux.ru> 1.1.7-alt6
- Fix update-alternatives. Force to use gzip for manuals

* Wed May 30 2001 Stanislav Ievlev <inger@altlinux.ru> 1.1.7-alt5
- Split package. Backport pstops from 1.1.6

* Tue May 29 2001 Stanislav Ievlev <inger@altlinux.ru> 1.1.7-alt4
- Added test page with our logo

* Mon May 28 2001 Stanislav Ievlev <inger@altlinux.ru> 1.1.7-alt3
- Remove menu entry for removed cupsWebAdmin Script.

* Fri May 25 2001 Stanislav Ievlev <inger@altlinux.ru> 1.1.7-alt2
- Some cleanups. Rebuild for use macros post_service and preun_service.

* Sat Feb 25 2001 AEN <aen@logic.ru>
- 1.1.6, holes fixed (?)

* Mon Jan 08 2001 AEN <aen@logic.ru>
- merged with MDK

* Thu Jan  4 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.5-2mdk

- Bugfix release of CUPS 1.1.5.
- Enhancements in the documentation for setting up encrypted connections.
- Reactivate usage of implicit classes by default.
- Fixed segfault of "lppasswd -a name".

* Wed Jan  3 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.5-1mdk

- Updated to CUPS 1.1.5 (encryption support enabled).
- Added README files of the source tarball to the doc directory.

* Mon Dec 25 2000 AEN <aen@logic.ru>
- pam fixed

* Tue Nov 28 2000 AEN <aen@logic.ru>
- rebuild for RE
- fix for 2.96 build
- big encodings & languages patch

* Mon Nov 27 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.4-8mdk
- Fixed RPM problem of /etc/cups/cupsd.conf.rpmnew sometimes not created.

* Thu Nov 23 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.4-7mdk
- Fixed bug of jobs sent to implicit classes not printing.

* Sat Nov 18 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.4-6mdk
- Fixed bug in the autodetection of the printer devices.

* Wed Nov 15 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.4-5mdk
- Security fix: Automatic configuration of broadcasting and printer access
  restricted to the local network(s) (eth?), printers were accessible from
  all over the internet before, and broadcasting to all networks
  (255.255.255.255) kept dial-on-demand connections permanently up.

* Tue Nov 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.4-4mdk
- Fix gcc2.96 compilation.

* Sat Oct 21 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.4-3mdk
- Security fix: lpstat and web interface displayed the SMB password before

* Tue Oct 17 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.4-2mdk
- Set default Filterlimit to 999999 in /etc/cups/cupsd.conf, the default
  value zero limited to one process instead of allowing unlimited processes.
- Fixed a bug in scaling of HPGL files.

* Sat Oct 14 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.4-1mdk
- New release with all previous bugfixes included and important fixes for
  the GIMP-Print drivers.

* Mon Oct  2 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.3-13mdk
- Applied patch by Michael Sweet for the test file bug in the IPP backend.

* Sun Oct  1 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.3-12mdk
- Fixed a bug of the IPP backend which prevented text with accented characters
  being transferred correctly to the printing server.

* Sun Oct  1 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.3-11mdk
- Cleaned up manufacturer entry in the CUPS PPD files
- Fixed a bug in handling lines with leading spaces in ~/.lpoptions

* Thu Sep 28 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.3-10mdk
- Menu call for the web interface not fixed to Netscape any more.

* Thu Sep 28 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.3-9mdk
- New bugfix patch of Michael Sweet for admin.cgi

* Wed Sep 27 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.3-8mdk
- Fixed bug in admin.cgi by a patch of Michael Sweet, no downdate to 1.1.2
  any more
- Fixed bug with duplex printing in HP LaserJet driver

* Tue Sep 26 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.3-7mdk
- Fixed bug in IPP backend which prevented options from
  being transferred correctly to a remote printer

* Tue Sep 26 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.3-6mdk
- Applied new PAM configuration

* Mon Sep 25 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.3-5mdk
- Program "lphelp" expanded to show also numerical options of CUPS-O-MATIC
  PPD files.

* Sat Sep 23 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.3-4mdk
- Mandrakized the test page
- Login/password request for command line tools

* Fri Sep 22 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.3-3mdk
- Revised support of accounts without password. Now XPP, KUPS and QTCUPS
  do not ask for the login/password again and again when one clicks
  "Cancel" in the login dialog.

* Wed Sep 20 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.3-2mdk
- Fixed bug of adding a printer with the web interface being impossible
- Make CUPS WWW interface and KUPS usable when root has no
  password

* Tue Sep 19 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.3-1mdk
- Corrected "preun" script, so that update-alternatives links do not
  get lost on update of the package.
- Updated to CUPS 1.1.3 which includes all the previous bug fix
  patches and some additional bugfixes.

* Sat Sep 16 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.2-22mdk
- changed default configuration to generate an /etc/printcap
  file. So non-natively CUPS supporting programs (as KDE)
  find the printers.

* Thu Sep 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.2-21mdk
- corrected incoherent-subsys, till sucks
- added reload

* Wed Sep 13 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.2-20mdk
- Replaced startup script completely to fit to the Mandrake
  standard
- Applied another development snapshot patch of Michael Sweet to fix
  bugs in pstoimage and pstoraster, and the information propafation
  between the CUPS daemons on different machines.

* Sat Sep  9 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.2-19mdk
- Applied another development snapshot patch of Michael Sweet to fix
  several bugs.

* Fri Sep  8 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.2-18mdk
- {_datadir}/locale was forgotten in files section, added

* Fri Sep  8 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.2-17mdk
- Added /usr/sbin/update-alternatives to "Requires:" line
  to surround a bug of version number comparing in RPM

* Thu Sep  7 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.2-16mdk
- Turned off feature of "Implicit classes", it is broken.
- Introduced "Requires:" line to make sure that "update-
  alternatives" is available.
- Added patch of Michael Sweet to support instances in lpq
  and lprm.

* Thu Sep  7 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.2-15mdk
- Applied development snapshot patch of Michael Sweet to fix
  several bugs.
- Added automatic daemon restart on update.

* Wed Sep  5 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.2-14mdk
- Fixed segfaults in poll_ppd_base
- Better description in cups.sh (help text for startup
  services config programs)

* Fri Sep  1 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.2-13mdk
- Fixed bugs in the "files" list of specfile (definition of doc dir)

* Tue Aug 29 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.1.2-12mdk
- Added patch adjusting the USB printer autodetection to the current state

* Fri Aug 25 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.1.2-11mdk
- Menu entry for CUPS WWW Admin tool added
- Removed compatibility link /etc/init.d/cups to /etc/rc.d/init.d/cups, init
  script simply in %_initdir now.

* Fri Aug 25 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.1.2-10mdk
- Fixed compiler options for the additional tools

* Thu Aug 24 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.1.2-9mdk
- Made the cups package ready for co-existing with the old lpr printing
  system.

* Mon Aug 21 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.1.2-8mdk
- Moved "/usr/lib/libcups*.so" links from devel package to main package
  because the function overloading in XPP and QTCUPS would not work without
  these links.

* Thu Aug 17 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.1.2-7mdk
- Added program "lphelp" which lists the printer-specific options defined
  in the PPD file, so that one can make use of it in "lp", "lpr", and
  "lpoptions" commands at the command line.
- Got a bugfix from Michael Sweet to fix an htmltops problem, applied it
- Applied bugfix for HPGL recognition in /etc/cups/mime.types

* Thu Aug 17 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.1.2-6mdk
- Added program "poll_ppd_base" to get a list of all PPD files installed with
  manufacturer and model names of the printers (useful for installation/
  configuration scripts)

* Mon Aug 14 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.1.2-5mdk
- Added link libcupsimage.so --> libcupsimage.so.2 so thet drivers based
  on the CUPS driver development kit of GIMP Print compile
- Moved links "*.so" --> "*.so.2" to the development package (rpmlint
  recommends this)

* Wed Aug  9 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.1.2-4mdk
- Replaced "chown" in "%post" by "%attr" in file list
- Now GhostScript 5.50 is not more required by this package but by cups-drivers
- Compatibility link /etc/rc.d/init.d/cups, if /etc/rc.d/init.d/ exists

* Tue Aug  8 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.1.2-3mdk
- Let the PPDs delivered with CUPS be installed, too

* Tue Aug  8 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.1.2-2mdk
- Moved init script to from /etc/rc.d/init.d/ to /etc/init.d
- Now GhostScript 5.50 is required
- Patched chkconfig entry in /etc/init.d/cups to 2345 60 60 (as lpd)

* Tue Aug  8 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.1.2-1mdk
- Excluded static CUPS library to allow overloading of CUPS functions
- Patched CUPS daemon config to use Web interface for administration
- pstoraster not removed to have the flexibility to also use CUPS drivers
- Updated to version 1.1.2 with bugfix patch for the Makefile

* Tue Jul  4 2000 Franois Pons <fpons@mandrakesoft.com> 1.1-0.b5.1mdk
- removed pstoraster from installation as drivers are in cups-drivers.
- initial release.
